- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Entry_Anchor_Hover_Info Struct Reference

The info sent in the callback for "anchor,clicked" signals emitted by the Anchor_Hover widget. More...

## Data Fields
const Elm_Entry_Anchor_Info * | anchor_info
| The actual anchor info. More...
Evas_Object * | hover
| The hover object to use for the popup.
struct {
} | hover_parent
| Geometry of the object used as parent by the hover.
Eina_Bool | hover_left: 1
| Hint indicating if there's space for content on the left side of the hover. More...
Eina_Bool | hover_right: 1
| Hint indicating content fits on the right side of the hover. More...
Eina_Bool | hover_top: 1
| Hint indicating content fits on top of the hover. More...
Eina_Bool | hover_bottom: 1
| Hint indicating content fits below the hover. More...

## Detailed Description

The info sent in the callback for "anchor,clicked" signals emitted by the Anchor_Hover widget.

## Field Documentation

const Elm_Entry_Anchor_Info* _Elm_Entry_Anchor_Hover_Info::anchor_info

The actual anchor info.

Eina_Bool _Elm_Entry_Anchor_Hover_Info::hover_bottom

Hint indicating content fits below the hover.

See hover_left

Eina_Bool _Elm_Entry_Anchor_Hover_Info::hover_left

Hint indicating if there's space for content on the left side of the hover.

Before calling the callback, the widget will make the necessary calculations to check which sides are fit to be set with content, based on the position the hover is activated and its distance to the edges of its parent object

Eina_Bool _Elm_Entry_Anchor_Hover_Info::hover_right

Hint indicating content fits on the right side of the hover.

See hover_left

Eina_Bool _Elm_Entry_Anchor_Hover_Info::hover_top

Hint indicating content fits on top of the hover.

See hover_left

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15